package com.bonus.material.ma.service.impl;

import java.util.List;
import com.bonus.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.bonus.material.ma.mapper.LabelBindMapper;
import com.bonus.material.ma.domain.LabelBind;
import com.bonus.material.ma.service.ILabelBindService;

/**
 * 机具设备标签Service业务层处理
 * 
 * @author xsheng
 * @date 2024-09-27
 */
@Service
public class LabelBindServiceImpl implements ILabelBindService 
{
    @Autowired
    private LabelBindMapper labelBindMapper;

    /**
     * 查询机具设备标签
     * 
     * @param id 机具设备标签主键
     * @return 机具设备标签
     */
    @Override
    public LabelBind selectLabelBindById(Long id)
    {
        return labelBindMapper.selectLabelBindById(id);
    }

    /**
     * 查询机具设备标签列表
     * 
     * @param labelBind 机具设备标签
     * @return 机具设备标签
     */
    @Override
    public List<LabelBind> selectLabelBindList(LabelBind labelBind)
    {
        return labelBindMapper.selectLabelBindList(labelBind);
    }

    /**
     * 新增机具设备标签
     * 
     * @param labelBind 机具设备标签
     * @return 结果
     */
    @Override
    public int insertLabelBind(LabelBind labelBind)
    {
        labelBind.setCreateTime(DateUtils.getNowDate());
        return labelBindMapper.insertLabelBind(labelBind);
    }

    /**
     * 修改机具设备标签
     * 
     * @param labelBind 机具设备标签
     * @return 结果
     */
    @Override
    public int updateLabelBind(LabelBind labelBind)
    {
        labelBind.setUpdateTime(DateUtils.getNowDate());
        return labelBindMapper.updateLabelBind(labelBind);
    }

    /**
     * 批量删除机具设备标签
     * 
     * @param ids 需要删除的机具设备标签主键
     * @return 结果
     */
    @Override
    public int deleteLabelBindByIds(Long[] ids)
    {
        return labelBindMapper.deleteLabelBindByIds(ids);
    }

    /**
     * 删除机具设备标签信息
     * 
     * @param id 机具设备标签主键
     * @return 结果
     */
    @Override
    public int deleteLabelBindById(Long id)
    {
        return labelBindMapper.deleteLabelBindById(id);
    }
}
